Subject: Re: Inconsistency with -a vs -A

From: Michael J Gruber <[email-masked]>
Date: Mon, 18 Apr 2011 08:25:53 +0200

Bradly Feeley venit, vidit, dixit 18.04.2011 05:20:
> I was curious if there was a reason that some command use -a and some command
> use -A. For example, to view all branches the lowercase switch 'a' is used, but
> when staging all files with add an uppercase 'A'. Of course I always pick the
> wrong one when running either command. Is there a reason for the inconsistency?

Yes.

> Do you think they should be made the same?

Yes, I do :) For more details on both "yes", see:

http://permalink.gmane.org/gmane.comp.version-control.git/167907

Cheers,
Michael